Account settings sub menus not shown in mobile

Bug #1686860 reported by Robert Lyon on 2017-04-28
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Mahara
High
Unassigned
15.04
High
Unassigned
15.10
High
Unassigned
16.04
High
Unassigned

Bug Description

This is due to their submenu not being part of the normal menu/submenu system

I've added a check for menus that begin with 'settings/' and add a class related to this so the submenu does not get hidden on small screens

Robert Lyon (robertl-9) on 2017-04-28
Changed in mahara:
milestone: none → 16.10.4
status: New → In Progress
importance: Undecided → High
Robert Lyon (robertl-9) on 2017-05-02
Changed in mahara:
milestone: 16.10.4 → none

Reviewed: https://reviews.mahara.org/7705
Committed: https://git.mahara.org/mahara/mahara/commit/78e43b3a3d2c05de2a8b772e682e5e627bc707f7
Submitter: Robert Lyon (<email address hidden>)
Branch: 16.10_STABLE

commit 78e43b3a3d2c05de2a8b772e682e5e627bc707f7
Author: Robert Lyon <email address hidden>
Date: Fri Apr 28 12:08:16 2017 +1200

Bug 1686860: Allow the account settings menus show on mobile

This is a problem when we have dropdown menu turned off and are in the
user 'settings' area and are viewing the site on a small screen.

behatnotneeded

Change-Id: Id641080835e4fd61524125ef473b2511f1042a6e
Signed-off-by: Robert Lyon <email address hidden>

Mahara Bot (dev-mahara) wrote :

Patch for "15.10_STABLE" branch: https://reviews.mahara.org/7743

Reviewed: https://reviews.mahara.org/7742
Committed: https://git.mahara.org/mahara/mahara/commit/056ee10cbfb62d4c104debd802fa6331db1b101a
Submitter: Robert Lyon (<email address hidden>)
Branch: 16.04_STABLE

commit 056ee10cbfb62d4c104debd802fa6331db1b101a
Author: Robert Lyon <email address hidden>
Date: Fri Apr 28 12:08:16 2017 +1200

Bug 1686860: Allow the account settings menus show on mobile

This is a problem when we have dropdown menu turned off and are in the
user 'settings' area and are viewing the site on a small screen.

behatnotneeded

Change-Id: Id641080835e4fd61524125ef473b2511f1042a6e
Signed-off-by: Robert Lyon <email address hidden>
(cherry picked from commit 78e43b3a3d2c05de2a8b772e682e5e627bc707f7)

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/7743
Committed: https://git.mahara.org/mahara/mahara/commit/d4ab2af00bc48fad8ffee54ac8a8f7123ba841be
Submitter: Robert Lyon (<email address hidden>)
Branch: 15.10_STABLE

commit d4ab2af00bc48fad8ffee54ac8a8f7123ba841be
Author: Robert Lyon <email address hidden>
Date: Fri Apr 28 12:08:16 2017 +1200

Bug 1686860: Allow the account settings menus show on mobile

This is a problem when we have dropdown menu turned off and are in the
user 'settings' area and are viewing the site on a small screen.

behatnotneeded

Change-Id: Id641080835e4fd61524125ef473b2511f1042a6e
Signed-off-by: Robert Lyon <email address hidden>
(cherry picked from commit 78e43b3a3d2c05de2a8b772e682e5e627bc707f7)

Robert Lyon (robertl-9) on 2017-05-11
Changed in mahara:
status: In Progress → Fix Committed
no longer affects: mahara/16.10
Changed in mahara:
milestone: none → 16.10.4
Robert Lyon (robertl-9) on 2017-05-25
Changed in mahara:
status: Fix Committed → Fix Released
summary: - Account settings sub menus not shown in mobile in 16.10
+ Account settings sub menus not shown in mobile
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers